# Rudefox Burrow

*Offline Bitcoin Seed Generation and Wallet Tool*

Use [Rudefox](https://rudefox.io/) Burrow on an air-gapped, single-board computer, like a Raspberry Pi, to generate new seed words, derive addresses and extended public keys from existing seed words or sign PSBT transactions offline.

## Unique Feature: ShowMyWork

[**Rudefox ShowMyWork**](https://rudefox.io/blog/2020-07-16-show-my-work.html) is a feature of Burrow that enables non-technical end-users to audit the seed generation process in order to verify that the generated seed is derived directly from [8-sided dice](https://www.amazon.com/dp/B07XPMV4DQ/) rolls and a set of lookup-tables.  Read more [here](https://rudefox.io/blog/2020-07-16-show-my-work.html).

```bash
alice@cold.machine:~$ burrow mnemonic -i8 --bits 128

Input 11 x 8-sided dice rolls [1-8]: 12345678123

| 1 | 2 | 3 |  4   | 5 | 6 | 7 |  8   | 1 | 2 | 3 |
|000 001 010 01 | 1 100 101 110 1 | 11 000 001 010|
|  1. ahead     |  2. slight      |  3. scout     |

Input 11 x 8-sided dice rolls [1-8]: 12345678123

| 1 | 2 | 3 |  4   | 5 | 6 | 7 |  8   | 1 | 2 | 3 |
|000 001 010 01 | 1 100 101 110 1 | 11 000 001 010|
|  4. ahead     |  5. slight      |  6. scout     |

...

ahead slight scout ahead slight scout ahead slight scout ahead slight scan
```

## Build Instructions

#### Linux

* Install dependencies: Java 8

```bash
apt install openjdk-8-jdk
```

* Clone the repository and build

```bash
bob@hot.machine:~$ git clone https://git.rudefox.io/rudefox/burrow.git
bob@hot.machine:~$ cd burrow
bob@hot.machine:~$ ./gradlew build distTar
```

* Find the distribution `.tar` file in `build/distributions/`

## Quick Raspbery Pi Install

* Download the latest image [here](https://repo.rudefox.io/service/rest/v1/search/assets/download?sort=version&group=io.rudefox&name=burrow-pi-img&maven.extension=zip)

* Unzip the image file

* Flash it onto an SD Card
   * [Linux](https://www.raspberrypi.org/documentation/installation/installing-images/linux.md)
   * [Mac OS](https://www.raspberrypi.org/documentation/installation/installing-images/mac.md)
   * [Windows](https://www.raspberrypi.org/documentation/installation/installing-images/windows.md)
   * [Chrome OS](https://www.raspberrypi.org/documentation/installation/installing-images/chromeos.md)

* Insert the SD card into the Rasberry Pi and power it up

* **IMPORTANT**: Wait for the device to boot and then wait for it to automatically reboot **TWICE** (once to expand the filesystem and again to activate the read-only filesystem)